Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.mock
Class WsdlMockResponse

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem<com.eviware.soapui.config.MockResponseConfig>
              com.eviware.soapui.impl.wsdl.mock.WsdlMockResponse

All Implemented Interfaces:
  AttachmentContainer, MockResponse, ModelItem, PropertyChangeNotifier

    public class WsdlMockResponse

extends AbstractWsdlModelItem<com.eviware.soapui.config.MockResponseConfig>
implements MockResponse, AttachmentContainer

A WsdlMockResponse contained by a WsdlMockOperation

Author:
  ole.matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary
`protected java.util.List<FileAttachment>` | `attachments`
`static java.lang.String` | `DISABLE_MULTIPART_ATTACHMENTS`
`static java.lang.String` | `ENCODE_ATTACHMENTS`
`static java.lang.String` | `FORCE_MTOM`
`static java.lang.String` | `HEADERS_PROPERTY`
`static java.lang.String` | `MOCKRESULT_PROPERTY`
`static java.lang.String` | `REMOVE_EMPTY_CONTENT`
`static java.lang.String` | `RESPONSE_DELAY_PROPERTY`
`static java.lang.String` | `RESPONSE_HTTP_STATUS`
`static java.lang.String` | `SCRIPT_PROPERTY`
`static java.lang.String` | `STRIP_WHITESPACES`

Fields inherited from interface com.eviware.soapui.model.mock.MockResponse
`ATTACHMENTS_PROPERTY, ENCODING_PROPERTY, MTOM_NABLED_PROPERTY, RESPONSECONTENT_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`WsdlMockResponse(WsdlMockOperation operation, com.eviware.soapui.config.MockResponseConfig config)`

Method Summary
`Attachment` | `addAttachment(Attachment attachment)`
`void` | `addAttachmentsChangeListener(java.beans.PropertyChangeListener listener)`
`Attachment` | `attachFile(java.io.File file, boolean cache)`
`void` | `evaluateScript(WsdlMockRequest request)`
`WsdlMockResult` | `execute(WsdlMockRequest request, WsdlMockResult result)`
`WsdlAttachment` | `getAttachmentAt(int index)`
`int` | `getAttachmentCount()`
`WsdlAttachmentPart` | `getAttachmentPart(java.lang.String partName)`
`Attachment[]` | `getAttachments()`
`Attachment[]` | `getAttachmentsForPart(java.lang.String partName)`
`long` | `getContentLength()`
`WsdlAttachmentPart[]` | `getDefinedAttachmentParts()`
`java.lang.String` | `getEncoding()`
`javax.swing.ImageIcon` | `getIcon()`
`WsdlMockOperation` | `getMockOperation()`
`WsdlMockResult` | `getMockResult()`
`java.lang.String` | `getResponseContent()`
`long` | `getResponseDelay()`
`StringToStringMap` | `getResponseHeaders()`
`java.lang.String` | `getResponseHttpStatus()`
`MessagePart[]` | `getResponseParts()`
`java.lang.String` | `getScript()`
`SoapVersion` | `getSoapVersion()`
`boolean` | `isEncodeAttachments()`
`boolean` | `isForceMtom()`
`boolean` | `isMtomEnabled()`
`boolean` | `isMultipartEnabled()`
`boolean` | `isReadOnly()`
`boolean` | `isRemoveEmptyContent()`
`boolean` | `isStripWhitespaces()`
`void` | `onSave()`
`void` | `release()`
`void` | `removeAttachment(Attachment attachment)`
`void` | `removeAttachmentsChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `setEncodeAttachments(boolean encodeAttachments)`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setForceMtom(boolean forceMtom)`
`void` | `setMockResult(WsdlMockResult mockResult)`
`void` | `setMtomEnabled(boolean mtomEnabled)`
`void` | `setMultipartEnabled(boolean multipartEnabled)`
`void` | `setRemoveEmptyContent(boolean removeEmptyContent)`
`void` | `setResponseContent(java.lang.String responseContent)`
`void` | `setResponseDelay(long delay)`
`void` | `setResponseHeaders(StringToStringMap headers)`
`void` | `setResponseHttpStatus(java.lang.String httpStatus)`
`void` | `setScript(java.lang.String script)`
`void` | `setStripWhitespaces(boolean stripWhitespaces)`

Methods inherited from class com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem
`getConfig, getDescription, getName, getParent, getSettings, getWsdlModelItemByName, setConfig, setDescription, setIcon, setName, setSettings`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Field Detail

### MOCKRESULT_PROPERTY

    public static final java.lang.String MOCKRESULT_PROPERTY

### SCRIPT_PROPERTY

    public static final java.lang.String SCRIPT_PROPERTY

### HEADERS_PROPERTY

    public static final java.lang.String HEADERS_PROPERTY

### DISABLE_MULTIPART_ATTACHMENTS

    public static final java.lang.String DISABLE_MULTIPART_ATTACHMENTS

### FORCE_MTOM

    public static final java.lang.String FORCE_MTOM

### RESPONSE_DELAY_PROPERTY

    public static final java.lang.String RESPONSE_DELAY_PROPERTY

### STRIP_WHITESPACES

    public static final java.lang.String STRIP_WHITESPACES

### REMOVE_EMPTY_CONTENT

    public static final java.lang.String REMOVE_EMPTY_CONTENT

### ENCODE_ATTACHMENTS

    public static final java.lang.String ENCODE_ATTACHMENTS

### RESPONSE_HTTP_STATUS

    public static final java.lang.String RESPONSE_HTTP_STATUS

### attachments

    protected java.util.List<FileAttachment> attachments

Constructor Detail

### WsdlMockResponse

    public WsdlMockResponse(WsdlMockOperation operation,
                            com.eviware.soapui.config.MockResponseConfig config)

Method Detail

### getAttachments

    public Attachment[] getAttachments()

  Specified by:
    `getAttachments` in interface `AttachmentContainer`
  Specified by:
    `getAttachments` in interface `MockResponse`

### getScript

    public java.lang.String getScript()

### getEncoding

    public java.lang.String getEncoding()

  Specified by:
    `getEncoding` in interface `MockResponse`

### setEncoding

    public void setEncoding(java.lang.String encoding)

### getResponseContent

    public java.lang.String getResponseContent()

  Specified by:
    `getResponseContent` in interface `MockResponse`

### setResponseContent

    public void setResponseContent(java.lang.String responseContent)

### getIcon

    public javax.swing.ImageIcon getIcon()

  Specified by:
    `getIcon` in interface `ModelItem`
  Overrides:
    `getIcon` in class `AbstractWsdlModelItem<com.eviware.soapui.config.MockResponseConfig>`

### getMockOperation

    public WsdlMockOperation getMockOperation()

  Specified by:
    `getMockOperation` in interface `MockResponse`

### execute

    public WsdlMockResult execute(WsdlMockRequest request,
                                  WsdlMockResult result)
                           throws DispatchException

  Throws:
    `DispatchException`

### evaluateScript

    public void evaluateScript(WsdlMockRequest request)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### release

    public void release()

  Overrides:
    `release` in class `AbstractWsdlModelItem<com.eviware.soapui.config.MockResponseConfig>`

### setScript

    public void setScript(java.lang.String script)

### setResponseHeaders

    public void setResponseHeaders(StringToStringMap headers)

### getResponseHeaders

    public StringToStringMap getResponseHeaders()

  Specified by:
    `getResponseHeaders` in interface `MockResponse`

### getResponseParts

    public MessagePart[] getResponseParts()

### attachFile

    public Attachment attachFile(java.io.File file,
                                 boolean cache)

  Specified by:
    `attachFile` in interface `AttachmentContainer`

### getAttachmentCount

    public int getAttachmentCount()

  Specified by:
    `getAttachmentCount` in interface `AttachmentContainer`

### getAttachmentAt

    public WsdlAttachment getAttachmentAt(int index)

  Specified by:
    `getAttachmentAt` in interface `AttachmentContainer`

### removeAttachment

    public void removeAttachment(Attachment attachment)

  Specified by:
    `removeAttachment` in interface `AttachmentContainer`

### getDefinedAttachmentParts

    public WsdlAttachmentPart[] getDefinedAttachmentParts()

  Specified by:
    `getDefinedAttachmentParts` in interface `AttachmentContainer`

### getAttachmentPart

    public WsdlAttachmentPart getAttachmentPart(java.lang.String partName)

  Specified by:
    `getAttachmentPart` in interface `AttachmentContainer`

### getAttachmentsForPart

    public Attachment[] getAttachmentsForPart(java.lang.String partName)

  Specified by:
    `getAttachmentsForPart` in interface `AttachmentContainer`

### isMtomEnabled

    public boolean isMtomEnabled()

  Specified by:
    `isMtomEnabled` in interface `AttachmentContainer`
  Specified by:
    `isMtomEnabled` in interface `MockResponse`

### setMtomEnabled

    public void setMtomEnabled(boolean mtomEnabled)

### addAttachment

    public Attachment addAttachment(Attachment attachment)

### setResponseDelay

    public void setResponseDelay(long delay)

### getResponseDelay

    public long getResponseDelay()

### setResponseHttpStatus

    public void setResponseHttpStatus(java.lang.String httpStatus)

### getResponseHttpStatus

    public java.lang.String getResponseHttpStatus()

### setMockResult

    public void setMockResult(WsdlMockResult mockResult)

### getMockResult

    public WsdlMockResult getMockResult()

  Specified by:
    `getMockResult` in interface `MockResponse`

### getContentLength

    public long getContentLength()

### isMultipartEnabled

    public boolean isMultipartEnabled()

  Specified by:
    `isMultipartEnabled` in interface `AttachmentContainer`

### setMultipartEnabled

    public void setMultipartEnabled(boolean multipartEnabled)

### isForceMtom

    public boolean isForceMtom()

### setForceMtom

    public void setForceMtom(boolean forceMtom)

### isRemoveEmptyContent

    public boolean isRemoveEmptyContent()

### setRemoveEmptyContent

    public void setRemoveEmptyContent(boolean removeEmptyContent)

### isEncodeAttachments

    public boolean isEncodeAttachments()

### setEncodeAttachments

    public void setEncodeAttachments(boolean encodeAttachments)

### isStripWhitespaces

    public boolean isStripWhitespaces()

### setStripWhitespaces

    public void setStripWhitespaces(boolean stripWhitespaces)

### onSave

    public void onSave()

  Overrides:
    `onSave` in class `AbstractWsdlModelItem<com.eviware.soapui.config.MockResponseConfig>`

### addAttachmentsChangeListener

    public void addAttachmentsChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `addAttachmentsChangeListener` in interface `AttachmentContainer`

### isReadOnly

    public boolean isReadOnly()

  Specified by:
    `isReadOnly` in interface `AttachmentContainer`

### removeAttachmentsChangeListener

    public void removeAttachmentsChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `removeAttachmentsChangeListener` in interface `AttachmentContainer`

### getSoapVersion

    public SoapVersion getSoapVersion()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.